
QGIS Application - Feature request #3157

Load an editable layer as a readonly one

2010-10-26 04:42 AM - Giuseppe Sucameli

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13217

Description

Would be very useful for plugins developer the possibility to add a layer in canvas disabling its editing capabilities.

A solution could be adding a pair of methods setReadOnly(bool) and isReadOnly() for the layers. If set as read only, editing would be

disabled.

Associated revisions

Revision 6b14503b - 2010-10-30 12:12 AM - Giuseppe Sucameli

applied patch to make a vector layer read-only, to fix #3157

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14451 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 519f1206 - 2010-10-30 12:12 AM - Giuseppe Sucameli

applied patch to make a vector layer read-only, to fix #3157

git-svn-id: http://svn.osgeo.org/qgis/trunk@14451 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-29 03:14 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

applied from commit:519f1206 (SVN r14452)

Files

patch_for_ticket_3157.diff 3.96 KB 2010-10-28 Giuseppe Sucameli

2024-04-27 1/1

http://svn.osgeo.org/qgis/trunk/qgis@14451
http://svn.osgeo.org/qgis/trunk@14451

